wisoot/jwt-guard

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.

Laravel Guard Driver using JSON Web Token (JWT)

v0.7.2 2017-07-01 06:28 UTC

README

Author Latest Version on Packagist Software License Quality Score Total Downloads

Jwt Guard is alternative Laravel 5.2 Guard Driver which is implemented using JSON Web Token (JWT)

The MIT License (MIT). Please see License File for more information.

Install

To install this package you will need:

  • Laravel 5.2
  • PHP 5.6+

Via Composer

$ composer require wisoot/jwt-guard

Add the Service Provider

Open config/app.php and, to your providers array at the bottom, add:

WWON\JwtGuard\Providers\JwtGuardServiceProvider::class

Publish config file and database migration

php artisan vendor:publish --provider="WWON\JwtGuard\Providers\JwtGuardServiceProvider"

Update jwt.php config to suit your project, run the migration, then you are good to go.

Usage

In config/auth.php config file you have access to jwt driver.